Package Details: linphone-desktop 5.2.1-1

Git Clone URL: https://aur.archlinux.org/linphone-desktop.git (read-only, click to copy)
Package Base: linphone-desktop
Description: A free VoIP and video softphone based on the SIP protocol
Upstream URL: http://linphone.org
Licenses: GPL
Provides: linphone
Submitter: Megver83
Maintainer: daniel7
Last Packager: daniel7
Votes: 9
Popularity: 0.035750
First Submitted: 2020-07-23 05:07 (UTC)
Last Updated: 2024-02-02 11:14 (UTC)

Latest Comments

1 2 3 Next › Last »

daniel7 commented on 2024-02-04 13:35 (UTC)

Well, there is not really anything I can do regarding the invalid SSL certificate. Quick fix would be to manually download the icon.png and ignore the certificate. Should be fine as the PKGBUILD contains the icon.png's hash.

curl --insecure https://gitlab.linphone.org/BC/public/linphone-desktop/-/raw/8dfd384e3df08b200c8eb382b740da6839961bf0/linphone-app/assets/icons/hicolor/128x128/apps/icon.png > icon.png


Will change the git submodules in the next release. Thanks for letting me know.

dreieck commented on 2024-02-04 11:56 (UTC)

Can you, according to the VCS packaging guidelines, please list all git submodules in the source array and only add them in prepare() as described in the VCS packaging guidelines?

Regards and thanks for the package!

dreieck commented on 2024-02-04 11:52 (UTC) (edited on 2024-02-04 11:52 (UTC) by dreieck)

Upstream SSL certificate has expired ("Einmal mit Profis arbeiten …"):

==> Retrieving sources...
  -> Updating linphone-desktop git repo...
  -> Downloading linphone.png...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (60) SSL certificate problem: certificate has expired
More details here: https://curl.se/docs/sslcerts.html

curl failed to verify the legitimacy of the server and therefore could not
establish a secure connection to it. To learn more about this situation and
how to fix it, please visit the web page mentioned above.
==> ERROR: Failure while downloading https://gitlab.linphone.org/BC/public/linphone-desktop/-/raw/8dfd384e3df08b200c8eb382b740da6839961bf0/linphone-app/assets/icons/hicolor/128x128/apps/icon.png
    Aborting...

leukimi commented on 2024-01-29 00:47 (UTC) (edited on 2024-02-03 12:05 (UTC) by leukimi)

firejail works:

firejail --profile=/etc/firejail/linphone.profile /opt/linphone/linphone-launcher -V

Tried to build on a 2-core 4GB system with 512 MB swap and it crashed the machine after 2 hours of compiling. Seems it is no longer doable on a 4GB standard install. A 2GB swap is necessary. My guess is that you need 4 core processor and 6GB of RAM. I have to install the OBS Build Service package instead on 4GB machines. OBS Build Service reports: Maximal used memory: 4512 Mbyte. A window manager desktop would probably need approximately 1-2.5 GB extra memory. 5512 Mbyte is probably the lowest RAM+swap requirement.

Same/similar package built by OBS Build Service
openSUSE Software Catalogue page

https://software.opensuse.org/package/linphone-desktop

Import/export contacts addon

Until Linphone-Desktop provides a way to import/export contacts within the app, these scripts can be used to modify the contact database. Among them, dump all contact data into a tar.xz-file which can be imported on another machine after a clean new install. To see the commands, type in terminal:

linphone-contactspress <TAB><TAB> key twice and the commands will pop-up.

linphone-contacts-vcard-csv-import-export

firejail modification

firejail blocks the camera for linphone in it's default settings.

If firejail reports an openGL error when launching linphone (causes crash) or you wish to use the camera with linphone but still use firejail sandbox:

proFile="$HOME/.config/firejail/linphone.local"
# allow openGL
echo "ignore no3d" >> "${proFile}"
# allow camera
echo "ignore novideo" >> "${proFile}"
firetools modification

Linphone may not be visible in firetools gui. To add it:

uiappsFile="$HOME/.config/firetools/uiapps"
icon=linphone
echo "linphone;Linphone;${icon}" >> "${uiappsFile}"
echo "/opt/linphone/linphone-launcher;Linphone /opt/linphone/linphone-launcher;${icon};firejail --profile=/etc/firejail/linphone.profile /opt/linphone/linphone-launcher" >> "${uiappsFile}"

dreieck commented on 2024-01-11 20:17 (UTC)

After the latest update of this PKGBUILD to version 5.2.0-4 it launches for me.
Thanks for the maintanance work!

Blackbot commented on 2024-01-11 09:43 (UTC)

Something seems broken. Starting Linphone via the desktop entry does nothing, starting /opt/linphone/bin/linphone leads to:

/opt/linphone/bin/linphone: error while loading shared libraries: libbelle-sip.so.1: cannot open shared object file: No such file or directory

dreieck commented on 2023-12-22 15:07 (UTC) (edited on 2023-12-22 15:07 (UTC) by dreieck)

build() downloads lots of stuff.

Can you please move that into prepare()?:

==> Starting build()...
[...]
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/external/ispell'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/external/qtkeychain'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk'...
[...]
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/bcg729'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/bcmatroska2'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/bctoolbox'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/bcunit'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/belcard'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/belle-sip'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/belr'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/bzrtp'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/external/aom'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/external/bv16-floatingpoint'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/external/codec2'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/external/dav1d'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/external/decaf'...
Cloning into '/tmp/makepkg/build/linphone-desktop/src/linphone-desktop/linphone-sdk/external/ffmpeg'...
[ ... even more, I got impatient waiting for download finish and just did stop here to finish this report ... ]

(And several of those libraries are already installed on the system, so why does it fetch them again?)

Regards and thanks for maintaining!

dreieck commented on 2023-12-22 15:04 (UTC)

Can you please add linphone=${pkgver} to the provides array?

And if there is no /usr/bin/linphone, can you create one, as it has been in the past?

There are packages that depend on linphone.

Thanks for maintaining!